﻿using Syncfusion.ExcelToPdfConverter;
using Syncfusion.Pdf;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PivotLayout_Conversion
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ExcelEngine excelEngine = new ExcelEngine();
            IApplication application = excelEngine.Excel;
            //application.SkipAutoFitRow = true;
            IWorkbook workbook = application.Workbooks.Open("../../Data/Trim Head Cut Sheet_7 (1).xlsx");
            workbook.Worksheets[1].EnableSheetCalculations();
            workbook.Worksheets[1].PivotTables[0].Layout();
            ExcelToPdfConverter converter = new ExcelToPdfConverter(workbook);
            PdfDocument pdfDocument = new PdfDocument();
            pdfDocument = converter.Convert();
            pdfDocument.Save("../../Data/Trim Head Cut Sheet_7 (1)_Layout.pdf");
            workbook.Close();
            pdfDocument.Close();
            excelEngine.Dispose();
        }
    }
}
